MUNMAP(2)

NAME
munmap - remove a mapping

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
munmap(void *addr, size_t len);

DESCRIPTION
The munmap() system call deletes the mappings for the specified address range, and causes further references to addresses within the range to generate invalid memory references.

RETURN VALUES
Upon successful completion, munmap returns zero. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
munmap() will fail if:

[EINVAL]
    The addr parameter was not page aligned, addr and len specify a region that would extend beyond the end of the address space, or some part of the region being unmapped is not part of the currently valid address space.

SEE ALSO
madvise(2), mincore(2), mlock(2), mlockall(2), mmap(2), mprotect(2), msync(2), getpagesize(3)

HISTORY
The munmap() function first appeared in 4.4BSD.